[package]
edition = "2018"
name = "crate_db"
version = "0.4.12"
authors = ["Kornel <kornel@geekhood.net>"]
description = "Internal index of crates used by crates.rs"

[lib]
name ="crate_db"
path = "src/lib_crate_db.rs"

[dependencies]
rusqlite = "0.24"
rich_crate = { path = "../rich_crate" }
categories = { path = "../categories" }
failure = "0.1.8"
lazy_static = "1.4.0"
chrono = "0.4.11"
thread_local = "1.0.1"
parking_lot = "0.11"
rmp-serde = "0.14.3"
heck = "0.3.1"
semver = "0.10.0"
tokio = { version = "0.2.22", features = ["sync", "macros", "rt-threaded"] }

[dev-dependencies]
tempfile = "3.1.0"
cargo_toml = "0.8.0"
